/*
 * Copyright (c) 2018 Mellanox Technologies LTD. ALL RIGHTS RESERVED.
 * See file LICENSE for terms.
 */

#include "osm_calculate_port_groups_task.hpp"
#include "osm_parallel_port_groups_calculator.hpp"
#include "osm_armgr.hpp"

void
OSMCalculatePortGroupsTreeTask::Run()
{
    m_port_groups_calculator_->GetAdaptiveRoutingManager()->
        ARCalculateSwitchPortGroupsTree(
            *m_sw_db_entry_,
            m_port_groups_calculator_->GetMaxRank(),
            m_port_groups_calculator_->GetHcaToSwLidMapping(),
            m_port_groups_calculator_->GetSwLidToRankMapping());

    m_port_groups_calculator_->OnTaskEnd();
}

